View Issue Details

IDProjectCategoryView StatusLast Update
0003441gnunet-gtkbuild systempublic2018-06-07 00:25
ReporterellAssigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformOSXubuntu-14.04-64amdOS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003441: Revision 33606: make fails
Descriptiongnunet-setup-transport-test.c: In function ‘GNUNET_setup_transport_test’:
gnunet-setup-transport-test.c:183:30: error: incompatible type for argument 5 of ‘GNUNET_NAT_test_start’
                              &result_callback, tc);
                              ^
In file included from gnunet-setup-transport-test.c:28:0:
/usr/local/include/gnunet/gnunet_nat_lib.h:278:1: note: expected ‘struct GNUNET_TIME_Relative’ but argument is of type ‘void (*)(void *, enum GNUNET_NAT_FailureCode)’
 GNUNET_NAT_test_start (const struct GNUNET_CONFIGURATION_Handle *cfg,
 ^
gnunet-setup-transport-test.c:183:30: warning: passing argument 6 of ‘GNUNET_NAT_test_start’ from incompatible pointer type [enabled by default]
                              &result_callback, tc);
                              ^
In file included from gnunet-setup-transport-test.c:28:0:
/usr/local/include/gnunet/gnunet_nat_lib.h:278:1: note: expected ‘GNUNET_NAT_TestCallback’ but argument is of type ‘struct TestContext *’
 GNUNET_NAT_test_start (const struct GNUNET_CONFIGURATION_Handle *cfg,
 ^
gnunet-setup-transport-test.c:183:30: error: too few arguments to function ‘GNUNET_NAT_test_start’
                              &result_callback, tc);
                              ^
In file included from gnunet-setup-transport-test.c:28:0:
/usr/local/include/gnunet/gnunet_nat_lib.h:278:1: note: declared here
 GNUNET_NAT_test_start (const struct GNUNET_CONFIGURATION_Handle *cfg,
 ^
make[3]: *** [gnunet_setup-gnunet-setup-transport-test.o] Fehler 1
make[3]: Verlasse Verzeichnis '/home/ell/gnunet-gtk/src/setup'
make[2]: *** [install-recursive] Fehler 1
make[2]: Verlasse Verzeichnis '/home/ell/gnunet-gtk/src/setup'
make[1]: *** [install-recursive] Fehler 1
make[1]: Verlasse Verzeichnis '/home/ell/gnunet-gtk/src'
make: *** [install-recursive] Fehler 1
Steps To ReproduceRevision 33606
cd gnunet-gtk
sudo make install

TagsNo tags attached.

Activities

cfuchs

2014-06-09 08:54

reporter   ~0008420

fixed as of 33609, updated nat-test timeout related code, as this is now handled by the library.

cfuchs

2014-06-09 08:55

reporter   ~0008421

fixed

Issue History

Date Modified Username Field Change
2014-06-08 20:17 ell New Issue
2014-06-09 08:54 cfuchs Note Added: 0008420
2014-06-09 08:55 cfuchs Note Added: 0008421
2014-06-09 08:55 cfuchs Status new => resolved
2014-06-09 08:55 cfuchs Resolution open => fixed
2014-06-09 08:55 cfuchs Assigned To => cfuchs
2014-09-30 10:33 Christian Grothoff Assigned To cfuchs =>
2014-09-30 10:33 Christian Grothoff Product Version => SVN HEAD
2014-09-30 10:33 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-09-30 10:33 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed